POST api/cabreadertypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
CabReaderTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required |
|
| id | globally unique identifier |
None. |
|
| type | string |
Required String length: inclusive between 0 and 100 |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "58489814-9050-411e-934b-aca7097ecd93",
"type": "sample string 4"
}
application/xml, text/xml
Sample:
<cab_reader_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>58489814-9050-411e-934b-aca7097ecd93</id> <type>sample string 4</type> </cab_reader_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e2233d92-6d36-4ef7-a931-d8caf91c4a46"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e2233d92-6d36-4ef7-a931-d8caf91c4a46</guid>